| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::activity_assets Struct Reference

An activity asset are the images and the hover text displayed in the rich presence. More...

`#include <presence.h>`

Collaboration diagram for dpp::activity_assets:
[legend]

## Public Member Functions

| activity_assets ()=default

## Public Attributes

std::string | large_image
| The large asset image which usually contain snowflake ID or prefixed image ID.
std::string | large_text
| Text displayed when hovering over the large image of the activity.
std::string | small_image
| The small asset image which usually contain snowflake ID or prefixed image ID.
std::string | small_text
| Text displayed when hovering over the small image of the activity.

## Detailed Description

An activity asset are the images and the hover text displayed in the rich presence.

## Constructor & Destructor Documentation

## ◆ activity_assets()

dpp::activity_assets::activity_assets | ( |  | ) |

default

Constructor

## Member Data Documentation

## ◆ large_image

std::string dpp::activity_assets::large_image

The large asset image which usually contain snowflake ID or prefixed image ID.

## ◆ large_text

std::string dpp::activity_assets::large_text

Text displayed when hovering over the large image of the activity.

## ◆ small_image

std::string dpp::activity_assets::small_image

The small asset image which usually contain snowflake ID or prefixed image ID.

## ◆ small_text

std::string dpp::activity_assets::small_text

Text displayed when hovering over the small image of the activity.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0